For the complete documentation index, see llms.txt. This page is also available as Markdown.

Itineraries Hotels

Returns a list of hotes for the itinerary

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

itineraryIdinteger · int32Required

Itinerary Id

Responses
200

OK

Idinteger · int32Optional

A unique identifier of the hotel

Namestring · nullableOptional

Hotel name

Addressstring · min: 1Required

Hotel address

Latitudenumber · doubleRequired

Latitude

Longitudenumber · doubleRequired

Longitude

CountryNamestring · nullableOptional

Country name

CountryCodestring · nullableOptional

Two letter country code

TimeZoneIdstring · nullableOptional

Time zone id

CheckInTimeLocalstring · date-time · nullableOptional

Check-in local time (required if check-in time UTC not specified)

CheckInTimestring · date-time · nullableOptional

Check-in time UTC (required if check-in local time not specified)

CheckOutTimeLocalstring · date-time · nullableOptional

Check-out local time (required if check-out time UTC not specified)

CheckOutTimestring · date-time · nullableOptional

Check-out time UTC (required if check-out local time not specified)

get/V2/{tenantVarCode}/itineraries/{itineraryId}/hotels
GET /V2/{tenantVarCode}/itineraries/{itineraryId}/hotels HTTP/1.1
Accept: */*
200

OK

[
  {
    "Id": 1,
    "Name": "text",
    "Address": "text",
    "Latitude": 1,
    "Longitude": 1,
    "CountryName": "text",
    "CountryCode": "text",
    "TimeZoneId": "text",
    "CheckInTimeLocal": "2026-01-01T00:00:00.000Z",
    "CheckInTime": "2026-01-01T00:00:00.000Z",
    "CheckOutTimeLocal": "2026-01-01T00:00:00.000Z",
    "CheckOutTime": "2026-01-01T00:00:00.000Z"
  }
]

Creates a new hotel

post
Path parameters
tenantVarCodestringRequired

Tenant Var Code

itineraryIdinteger · int32Required

Itinerary Id

Body
Idinteger · int32Optional

A unique identifier of the hotel

Namestring · nullableOptional

Hotel name

Addressstring · min: 1Required

Hotel address

Latitudenumber · doubleRequired

Latitude

Longitudenumber · doubleRequired

Longitude

CountryNamestring · nullableOptional

Country name

CountryCodestring · nullableOptional

Two letter country code

TimeZoneIdstring · nullableOptional

Time zone id

CheckInTimeLocalstring · date-time · nullableOptional

Check-in local time (required if check-in time UTC not specified)

CheckInTimestring · date-time · nullableOptional

Check-in time UTC (required if check-in local time not specified)

CheckOutTimeLocalstring · date-time · nullableOptional

Check-out local time (required if check-out time UTC not specified)

CheckOutTimestring · date-time · nullableOptional

Check-out time UTC (required if check-out local time not specified)

Responses
200

OK

No content

post/V2/{tenantVarCode}/itineraries/{itineraryId}/hotels
POST /V2/{tenantVarCode}/itineraries/{itineraryId}/hotels HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 304

{
  "Id": 1,
  "Name": "text",
  "Address": "text",
  "Latitude": 1,
  "Longitude": 1,
  "CountryName": "text",
  "CountryCode": "text",
  "TimeZoneId": "text",
  "CheckInTimeLocal": "2026-01-01T00:00:00.000Z",
  "CheckInTime": "2026-01-01T00:00:00.000Z",
  "CheckOutTimeLocal": "2026-01-01T00:00:00.000Z",
  "CheckOutTime": "2026-01-01T00:00:00.000Z"
}
200

OK

No content

Returns a specific hotel

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

itineraryIdinteger · int32Required

Itinerary Id

hotelIdinteger · int32Required

Hotel Id

Responses
200

OK

Idinteger · int32Optional

A unique identifier of the hotel

Namestring · nullableOptional

Hotel name

Addressstring · min: 1Required

Hotel address

Latitudenumber · doubleRequired

Latitude

Longitudenumber · doubleRequired

Longitude

CountryNamestring · nullableOptional

Country name

CountryCodestring · nullableOptional

Two letter country code

TimeZoneIdstring · nullableOptional

Time zone id

CheckInTimeLocalstring · date-time · nullableOptional

Check-in local time (required if check-in time UTC not specified)

CheckInTimestring · date-time · nullableOptional

Check-in time UTC (required if check-in local time not specified)

CheckOutTimeLocalstring · date-time · nullableOptional

Check-out local time (required if check-out time UTC not specified)

CheckOutTimestring · date-time · nullableOptional

Check-out time UTC (required if check-out local time not specified)

get/V2/{tenantVarCode}/itineraries/{itineraryId}/hotels/{hotelId}
GET /V2/{tenantVarCode}/itineraries/{itineraryId}/hotels/{hotelId} HTTP/1.1
Accept: */*
200

OK

{
  "Id": 1,
  "Name": "text",
  "Address": "text",
  "Latitude": 1,
  "Longitude": 1,
  "CountryName": "text",
  "CountryCode": "text",
  "TimeZoneId": "text",
  "CheckInTimeLocal": "2026-01-01T00:00:00.000Z",
  "CheckInTime": "2026-01-01T00:00:00.000Z",
  "CheckOutTimeLocal": "2026-01-01T00:00:00.000Z",
  "CheckOutTime": "2026-01-01T00:00:00.000Z"
}

Updates an existing hotel

put
Path parameters
tenantVarCodestringRequired

Tenant Var Code

itineraryIdinteger · int32Required

Itinerary Id

hotelIdinteger · int32Required

Hotel Id

Body
Idinteger · int32Optional

A unique identifier of the hotel

Namestring · nullableOptional

Hotel name

Addressstring · min: 1Required

Hotel address

Latitudenumber · doubleRequired

Latitude

Longitudenumber · doubleRequired

Longitude

CountryNamestring · nullableOptional

Country name

CountryCodestring · nullableOptional

Two letter country code

TimeZoneIdstring · nullableOptional

Time zone id

CheckInTimeLocalstring · date-time · nullableOptional

Check-in local time (required if check-in time UTC not specified)

CheckInTimestring · date-time · nullableOptional

Check-in time UTC (required if check-in local time not specified)

CheckOutTimeLocalstring · date-time · nullableOptional

Check-out local time (required if check-out time UTC not specified)

CheckOutTimestring · date-time · nullableOptional

Check-out time UTC (required if check-out local time not specified)

Responses
200

OK

No content

put/V2/{tenantVarCode}/itineraries/{itineraryId}/hotels/{hotelId}
PUT /V2/{tenantVarCode}/itineraries/{itineraryId}/hotels/{hotelId} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 304

{
  "Id": 1,
  "Name": "text",
  "Address": "text",
  "Latitude": 1,
  "Longitude": 1,
  "CountryName": "text",
  "CountryCode": "text",
  "TimeZoneId": "text",
  "CheckInTimeLocal": "2026-01-01T00:00:00.000Z",
  "CheckInTime": "2026-01-01T00:00:00.000Z",
  "CheckOutTimeLocal": "2026-01-01T00:00:00.000Z",
  "CheckOutTime": "2026-01-01T00:00:00.000Z"
}
200

OK

No content

Deletes a specific hotel

delete
Path parameters
tenantVarCodestringRequired

Tenant Var Code

itineraryIdinteger · int32Required

Itinerary Id

hotelIdinteger · int32Required

Hotel Id

Responses
200

OK

No content

delete/V2/{tenantVarCode}/itineraries/{itineraryId}/hotels/{hotelId}
DELETE /V2/{tenantVarCode}/itineraries/{itineraryId}/hotels/{hotelId} HTTP/1.1
Accept: */*
200

OK

No content

Last updated